#ifndef __ROOT_DETECTOR_H__
#define __ROOT_DETECTOR_H__

//#include "../../../code/vc6/alpha1/src/blepo.h"
#include "Image.h"
#include <vector>

struct RootPoint 
{ 
  int x;
  int y;
};

struct DetectedRoot
{
	std::vector<RootPoint> points;
	double diameter;
};

void DetectRoots(const blepo::ImgBgr& img, std::vector<DetectedRoot>* output);

#endif __ROOT_DETECTOR_H__

            



